# QVM: Quaternions, Vectors, Matrices

### ptr_vref

#include <boost/qvm/vec_traits_array.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <int Dim,class T>
            T (&ptr_vref( T * ptr ))[Dim];
        }
    }

#### Returns:

A of type "array of Dim elements of type T" to the memory pointed by ptr. This makes it possible to use the array at ptr as a vector of size Dim.